#ifndef _LIBTEXT_H
#define _LIBTEXT_H

#define TXT_FONTS 3

void Txt_Init  (int);
void Txt_Pixel (int,int,int);
void Txt_Point (int,int,int,int);
int  Txt_Get   (int,int);
void Txt_Char  (char,int,int,int,int,int,int);
void Txt_Text  (const char *,int,int,int,int);
void Txt_Quit  (void);

#define TXT_OR  0x01
#define TXT_ON  0x02
#define TXT_AND 0x04
#define TXT_REV 0x08
#define TXT_XOR 0x10

#define TXT_MINISD    0
#define TXT_SYSTEM    1
#define TXT_ARCADIUM  2

#define FONT_MINISD   0x01
#define FONT_SYSTEM   0x02
#define FONT_ARCADIUM 0x04

#endif // _LIBTEXT_H
